! { dg-do run }
!
! PR 55978: [4.8 Regression] class_optional_2.f90 -Os fails
!
! Contributed by Thomas Koenig <tkoenig@gcc.gnu.org>

program main
  implicit none

  integer, pointer :: y(:)
  
  y => null()
  call a4t2(y)

contains

 subroutine a4t2(x)
   integer, intent(in), optional :: x(4)
 end subroutine

end
